"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tracertTa = _interopRequireDefault(require("@alipay/tracert-ta"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function scale(obj) {
  var key = ['range', 'tickCount', 'max', 'min', 'mask', 'type', 'nice', 'ticks'];
  var res = {};

  for (var i = 0; i < key.length; i++) {
    var k = key[i];

    if (obj.hasOwnProperty(k)) {
      res[k] = obj[k];
    }
  }

  return res;
}

function axis(obj) {
  var key = ['label', 'line', 'grid'];
  var res = {};

  for (var i = 0; i < key.length; i++) {
    var k = key[i];

    if (obj.hasOwnProperty(k)) {
      if (k === 'line' && obj[k] === true) {
        obj[k] = F2.Global._defaultAxis.line;
      } else if (k === 'grid' && obj[k] === true) {
        obj[k] = F2.Global._defaultAxis.grid;
      }

      res[k] = obj[k];
    }
  }

  return res;
}

function label(text, index, total) {
  var textCfg = {};

  if (index === 0) {
    textCfg.textAlign = 'left';
  }

  if (index === total - 1) {
    textCfg.textAlign = 'right';
  }

  return textCfg;
}

function tracert(type, appId, url) {
  my.call('remotelog', {
    type: 'monitor',
    bizType: 'FORTUNEAPP',
    logLevel: 2,
    // 1 - high, 2 - medium, 3 - low
    actionId: 'exposure',
    param1: url,
    param4: {
      chInfo: '',
      type: type,
      appId: appId,
      url: url
    },
    spmId: 'a945.b10625.c25441.d47746'
  });
}

var _default = {
  scale: scale,
  axis: axis,
  label: label,
  tracert: tracert
};
exports.default = _default;